Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.style.validation.model
Interface VTValidationStyleProperty

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VTStyleProperty

All Known Implementing Classes:
  VTValidationStylePropertyImpl

    public interface VTValidationStyleProperty

extends VTStyleProperty

A representation of the model object 'Style Property'.

The following features are supported:

- `Ok Color HEX`
- `Ok Image URL`
- `Ok Overlay URL`
- `Info Color HEX`
- `Info Image URL`
- `Info Overlay URL`
- `Warning Color HEX`
- `Warning Image URL`
- `Warning Overlay URL`
- `Error Color HEX`
- `Error Image URL`
- `Error Overlay URL`
- `Cancel Color HEX`
- `Cancel Image URL`
- `Cancel Overlay URL`

See Also:
  `VTValidationPackage.getValidationStyleProperty()`

Method Summary
`String` | `getCancelColorHEX()` Returns the value of the 'Cancel Color HEX' attribute.
`String` | `getCancelImageURL()` Returns the value of the 'Cancel Image URL' attribute.
`String` | `getCancelOverlayURL()` Returns the value of the 'Cancel Overlay URL' attribute.
`String` | `getErrorColorHEX()` Returns the value of the 'Error Color HEX' attribute.
`String` | `getErrorImageURL()` Returns the value of the 'Error Image URL' attribute.
`String` | `getErrorOverlayURL()` Returns the value of the 'Error Overlay URL' attribute.
`String` | `getInfoColorHEX()` Returns the value of the 'Info Color HEX' attribute.
`String` | `getInfoImageURL()` Returns the value of the 'Info Image URL' attribute.
`String` | `getInfoOverlayURL()` Returns the value of the 'Info Overlay URL' attribute.
`String` | `getOkColorHEX()` Returns the value of the 'Ok Color HEX' attribute.
`String` | `getOkImageURL()` Returns the value of the 'Ok Image URL' attribute.
`String` | `getOkOverlayURL()` Returns the value of the 'Ok Overlay URL' attribute.
`String` | `getWarningColorHEX()` Returns the value of the 'Warning Color HEX' attribute.
`String` | `getWarningImageURL()` Returns the value of the 'Warning Image URL' attribute.
`String` | `getWarningOverlayURL()` Returns the value of the 'Warning Overlay URL' attribute.
`void` | `setCancelColorHEX(String value)` Sets the value of the ' `Cancel Color HEX`' attribute.
`void` | `setCancelImageURL(String value)` Sets the value of the ' `Cancel Image URL`' attribute.
`void` | `setCancelOverlayURL(String value)` Sets the value of the ' `Cancel Overlay URL`' attribute.
`void` | `setErrorColorHEX(String value)` Sets the value of the ' `Error Color HEX`' attribute.
`void` | `setErrorImageURL(String value)` Sets the value of the ' `Error Image URL`' attribute.
`void` | `setErrorOverlayURL(String value)` Sets the value of the ' `Error Overlay URL`' attribute.
`void` | `setInfoColorHEX(String value)` Sets the value of the ' `Info Color HEX`' attribute.
`void` | `setInfoImageURL(String value)` Sets the value of the ' `Info Image URL`' attribute.
`void` | `setInfoOverlayURL(String value)` Sets the value of the ' `Info Overlay URL`' attribute.
`void` | `setOkColorHEX(String value)` Sets the value of the ' `Ok Color HEX`' attribute.
`void` | `setOkImageURL(String value)` Sets the value of the ' `Ok Image URL`' attribute.
`void` | `setOkOverlayURL(String value)` Sets the value of the ' `Ok Overlay URL`' attribute.
`void` | `setWarningColorHEX(String value)` Sets the value of the ' `Warning Color HEX`' attribute.
`void` | `setWarningImageURL(String value)` Sets the value of the ' `Warning Image URL`' attribute.
`void` | `setWarningOverlayURL(String value)` Sets the value of the ' `Warning Overlay URL`' attribute.

Methods inherited from interface org.eclipse.emf.ecp.view.template.model.VTStyleProperty
`equalStyles`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOkColorHEX

    String getOkColorHEX()

  Returns the value of the 'Ok Color HEX' attribute.

  If the meaning of the 'Ok Color HEX' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Ok Color HEX' attribute.
  See Also:
    `setOkColorHEX(String)`, `VTValidationPackage.getValidationStyleProperty_OkColorHEX()`

### setOkColorHEX

    void setOkColorHEX(String value)

  Sets the value of the ' `Ok Color HEX`' attribute.

  Parameters:
    `value` - the new value of the 'Ok Color HEX' attribute.
  See Also:
    `getOkColorHEX()`

### getOkImageURL

    String getOkImageURL()

  Returns the value of the 'Ok Image URL' attribute.

  If the meaning of the 'Ok Image URL' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Ok Image URL' attribute.
  See Also:
    `setOkImageURL(String)`, `VTValidationPackage.getValidationStyleProperty_OkImageURL()`

### setOkImageURL

    void setOkImageURL(String value)

  Sets the value of the ' `Ok Image URL`' attribute.

  Parameters:
    `value` - the new value of the 'Ok Image URL' attribute.
  See Also:
    `getOkImageURL()`

### getOkOverlayURL

    String getOkOverlayURL()

  Returns the value of the 'Ok Overlay URL' attribute.

  If the meaning of the 'Ok Overlay URL' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Ok Overlay URL' attribute.
  See Also:
    `setOkOverlayURL(String)`, `VTValidationPackage.getValidationStyleProperty_OkOverlayURL()`

### setOkOverlayURL

    void setOkOverlayURL(String value)

  Sets the value of the ' `Ok Overlay URL`' attribute.

  Parameters:
    `value` - the new value of the 'Ok Overlay URL' attribute.
  See Also:
    `getOkOverlayURL()`

### getInfoColorHEX

    String getInfoColorHEX()

  Returns the value of the 'Info Color HEX' attribute.

  If the meaning of the 'Info Color HEX' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Info Color HEX' attribute.
  See Also:
    `setInfoColorHEX(String)`, `VTValidationPackage.getValidationStyleProperty_InfoColorHEX()`

### setInfoColorHEX

    void setInfoColorHEX(String value)

  Sets the value of the ' `Info Color HEX`' attribute.

  Parameters:
    `value` - the new value of the 'Info Color HEX' attribute.
  See Also:
    `getInfoColorHEX()`

### getInfoImageURL

    String getInfoImageURL()

  Returns the value of the 'Info Image URL' attribute.

  If the meaning of the 'Info Image URL' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Info Image URL' attribute.
  See Also:
    `setInfoImageURL(String)`, `VTValidationPackage.getValidationStyleProperty_InfoImageURL()`

### setInfoImageURL

    void setInfoImageURL(String value)

  Sets the value of the ' `Info Image URL`' attribute.

  Parameters:
    `value` - the new value of the 'Info Image URL' attribute.
  See Also:
    `getInfoImageURL()`

### getInfoOverlayURL

    String getInfoOverlayURL()

  Returns the value of the 'Info Overlay URL' attribute.

  If the meaning of the 'Info Overlay URL' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Info Overlay URL' attribute.
  See Also:
    `setInfoOverlayURL(String)`, `VTValidationPackage.getValidationStyleProperty_InfoOverlayURL()`

### setInfoOverlayURL

    void setInfoOverlayURL(String value)

  Sets the value of the ' `Info Overlay URL`' attribute.

  Parameters:
    `value` - the new value of the 'Info Overlay URL' attribute.
  See Also:
    `getInfoOverlayURL()`

### getWarningColorHEX

    String getWarningColorHEX()

  Returns the value of the 'Warning Color HEX' attribute.

  If the meaning of the 'Warning Color HEX' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Warning Color HEX' attribute.
  See Also:
    `setWarningColorHEX(String)`, `VTValidationPackage.getValidationStyleProperty_WarningColorHEX()`

### setWarningColorHEX

    void setWarningColorHEX(String value)

  Sets the value of the ' `Warning Color HEX`' attribute.

  Parameters:
    `value` - the new value of the 'Warning Color HEX' attribute.
  See Also:
    `getWarningColorHEX()`

### getWarningImageURL

    String getWarningImageURL()

  Returns the value of the 'Warning Image URL' attribute.

  If the meaning of the 'Warning Image URL' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Warning Image URL' attribute.
  See Also:
    `setWarningImageURL(String)`, `VTValidationPackage.getValidationStyleProperty_WarningImageURL()`

### setWarningImageURL

    void setWarningImageURL(String value)

  Sets the value of the ' `Warning Image URL`' attribute.

  Parameters:
    `value` - the new value of the 'Warning Image URL' attribute.
  See Also:
    `getWarningImageURL()`

### getWarningOverlayURL

    String getWarningOverlayURL()

  Returns the value of the 'Warning Overlay URL' attribute.

  If the meaning of the 'Warning Overlay URL' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Warning Overlay URL' attribute.
  See Also:
    `setWarningOverlayURL(String)`, `VTValidationPackage.getValidationStyleProperty_WarningOverlayURL()`

### setWarningOverlayURL

    void setWarningOverlayURL(String value)

  Sets the value of the ' `Warning Overlay URL`' attribute.

  Parameters:
    `value` - the new value of the 'Warning Overlay URL' attribute.
  See Also:
    `getWarningOverlayURL()`

### getErrorColorHEX

    String getErrorColorHEX()

  Returns the value of the 'Error Color HEX' attribute.

  If the meaning of the 'Error Color HEX' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Error Color HEX' attribute.
  See Also:
    `setErrorColorHEX(String)`, `VTValidationPackage.getValidationStyleProperty_ErrorColorHEX()`

### setErrorColorHEX

    void setErrorColorHEX(String value)

  Sets the value of the ' `Error Color HEX`' attribute.

  Parameters:
    `value` - the new value of the 'Error Color HEX' attribute.
  See Also:
    `getErrorColorHEX()`

### getErrorImageURL

    String getErrorImageURL()

  Returns the value of the 'Error Image URL' attribute.

  If the meaning of the 'Error Image URL' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Error Image URL' attribute.
  See Also:
    `setErrorImageURL(String)`, `VTValidationPackage.getValidationStyleProperty_ErrorImageURL()`

### setErrorImageURL

    void setErrorImageURL(String value)

  Sets the value of the ' `Error Image URL`' attribute.

  Parameters:
    `value` - the new value of the 'Error Image URL' attribute.
  See Also:
    `getErrorImageURL()`

### getErrorOverlayURL

    String getErrorOverlayURL()

  Returns the value of the 'Error Overlay URL' attribute.

  If the meaning of the 'Error Overlay URL' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Error Overlay URL' attribute.
  See Also:
    `setErrorOverlayURL(String)`, `VTValidationPackage.getValidationStyleProperty_ErrorOverlayURL()`

### setErrorOverlayURL

    void setErrorOverlayURL(String value)

  Sets the value of the ' `Error Overlay URL`' attribute.

  Parameters:
    `value` - the new value of the 'Error Overlay URL' attribute.
  See Also:
    `getErrorOverlayURL()`

### getCancelColorHEX

    String getCancelColorHEX()

  Returns the value of the 'Cancel Color HEX' attribute.

  If the meaning of the 'Cancel Color HEX' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cancel Color HEX' attribute.
  See Also:
    `setCancelColorHEX(String)`, `VTValidationPackage.getValidationStyleProperty_CancelColorHEX()`

### setCancelColorHEX

    void setCancelColorHEX(String value)

  Sets the value of the ' `Cancel Color HEX`' attribute.

  Parameters:
    `value` - the new value of the 'Cancel Color HEX' attribute.
  See Also:
    `getCancelColorHEX()`

### getCancelImageURL

    String getCancelImageURL()

  Returns the value of the 'Cancel Image URL' attribute.

  If the meaning of the 'Cancel Image URL' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cancel Image URL' attribute.
  See Also:
    `setCancelImageURL(String)`, `VTValidationPackage.getValidationStyleProperty_CancelImageURL()`

### setCancelImageURL

    void setCancelImageURL(String value)

  Sets the value of the ' `Cancel Image URL`' attribute.

  Parameters:
    `value` - the new value of the 'Cancel Image URL' attribute.
  See Also:
    `getCancelImageURL()`

### getCancelOverlayURL

    String getCancelOverlayURL()

  Returns the value of the 'Cancel Overlay URL' attribute.

  If the meaning of the 'Cancel Overlay URL' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cancel Overlay URL' attribute.
  See Also:
    `setCancelOverlayURL(String)`, `VTValidationPackage.getValidationStyleProperty_CancelOverlayURL()`

### setCancelOverlayURL

    void setCancelOverlayURL(String value)

  Sets the value of the ' `Cancel Overlay URL`' attribute.

  Parameters:
    `value` - the new value of the 'Cancel Overlay URL' attribute.
  See Also:
    `getCancelOverlayURL()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.